Package com.onwbp.base.schema.validation

# Enum Class ValidationPolicyForTableViewEnum

java.lang.Object
java.lang.Enum<ValidationPolicyForTableViewEnum>
com.onwbp.base.schema.validation.ValidationPolicyForTableViewEnum

All Implemented Interfaces:
  `Serializable`, `Comparable<ValidationPolicyForTableViewEnum>`, `Constable`

public enum ValidationPolicyForTableViewEnum extends Enum<ValidationPolicyForTableViewEnum>
Defines the different validation policy to use when displaying records in the table view.

Since:
  6.2.1

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `AS_IS`
  Retrieve the validation report of the records from the last persisted validation report.
  `NONE`
  Display the records in the table view without validation.
  `UP_TO_DATE`
  Perform an up-to-date validation for all records.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `UserMessage`
  `getUserMessage()`
  `static List<String>`
  `getValues()`
  `static ValidationPolicyForTableViewEnum`
  `parseValue(String aStringValue)`
  `static ValidationPolicyForTableViewEnum`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static ValidationPolicyForTableViewEnum[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### AS_IS

    public static final ValidationPolicyForTableViewEnum AS_IS
    Retrieve the validation report of the records from the last persisted validation report.

  - ### NONE

    public static final ValidationPolicyForTableViewEnum NONE
    Display the records in the table view without validation.

  - ### UP_TO_DATE

    public static final ValidationPolicyForTableViewEnum UP_TO_DATE
    Perform an up-to-date validation for all records.

- ## Method Details

  - ### values

    public static ValidationPolicyForTableViewEnum[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ValidationPolicyForTableViewEnum valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### getUserMessage

    public UserMessage getUserMessage()

  - ### parseValue

    public static ValidationPolicyForTableViewEnum parseValue(String aStringValue)

  - ### getValues

    public static List<String> getValues()